source:
  type: "mongodb"
  host: "mongo-mongodb.ef-external"
  port: "27017"
  username: "root"
  password: "Expertflow123"
  ## For batch processing, use this template
  batch_processing:
    conversation-manager:
      mongo_db: "conversation-manager_db"
      js_file_path: "/opt/airflow/dags/mongo_migration_scripts/conversation-manager-scripts.js"
      start_date: "2025-01-01" # Should be updated according to data
      end_date: "2025-03-31" # Should be updated according to data
      interval: "720" ## minute-wise interval (0.5 day = 720)

  ## For simple one time execution, use this template
  non_batch_processing:
    RE_adminPanel:
      mongo_db: ["adminPanel_test","routing-engine_db_test"]
      js_file_path: "/opt/airflow/dags/mongo_migration_scripts/Updated_4.4-4.5_upgrade_RE_and_Admin.js"
    conversation_dropIndex:
      mongo_db: "conversation-manager_db_test"
      js_file_path: "/opt/airflow/dags/mongo_migration_scripts/Updated_4.4-4.5_upgrade_Conversation_Manager_Drop_Index.js"

  tls: true  # Set to false if you don't want to use TLS
  tls_ca_file: "/transflux/certificates/mongo_certs/mongodb-ca-cert"
  tls_cert_key_file: "/transflux/certificates/mongo_certs/client-pem"  # Includes both client certificate and private key